Skip to main content

Create a user

POST 

/nevisidm/api/core/v1/:clientExtId/users

Since: 2.71.0

Required permission(s): AccessControl.UserCreate,AccessControl.LoginIdOverride,AccessControl.UserCreateTechUser

Creates a new user for the client with the given external ID. From version 2.82, creating the custom properties of a user in the same call is also possible.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123

Body

required
    extId string

    The external ID of the user. If not provided, it will be generated automatically.

    userState string

    Possible values: [active, disabled, archived]

    The state of the user.

    loginId string

    The login ID (username) of the user. Generated by the login ID generator if the value is not provided and the generator is enabled.

    languageCode string

    The default language of the user.

    isTechnicalUser boolean

    Determines whether the user is a regular user like a real person, or a technical user like another software.

    name object

    The name of the user.

    title string

    User's title.

    firstName string

    User's first name.

    familyName string

    User's family name.

    properties object

    Custom properties of the user.

    property name* string
    sex string

    Possible values: [male, female, other]

    The biological sex of the user. This is not the same as legal gender.

    gender string

    Possible values: [female, male, other]

    The gender of the user. Possible values are 'female', 'male' and 'other'.

    birthDate string

    The user date of birth in ISO format.

    address object

    The address of the user.

    addressline1 string

    First line of the address.

    addressline2 string

    Second line of the address.

    postalCode string

    Postal code.

    city string

    City.

    street string

    Street name.

    houseNumber string

    House number.

    countryCode string

    Country code (ISO 3166-1 alpha-2).

    postOfficeBoxText string

    Text for post office box.

    postOfficeBoxNumber int32

    Number for post office box.

    dwellingNumber string

    Dwelling number.

    locality string

    Locality.

    contacts object

    Telephone numbers and email addresses on which the user can be contacted.

    telephone string

    User's telephone number.

    telefax string

    User's telefax number.

    mobile string

    User's mobile number.

    email string

    User's email address.

    validity object

    The validity period of the user entity.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    remarks string

    General textual remark about the user.

    modificationComment string

    Textual comment on the last modification.

Responses

User created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...